Browsable Browsable Docs

Vinted member items

Fetch a Vinted member wardrobe feed with pagination and normalized item data.

POST /v1/vinted/member/items

Request Parameters

Name In Type Required Description
member_url body string Yes Vinted member profile URL (e.g. https://www.vinted.co.uk/member/189338805 or https://www.vinted.fr/member/40333919).
order body string No Wardrobe sort order.
pages body number No Number of infinite-scroll pages to fetch (1-50).
per_page body number No Items per page (default 20, max 96).

Response Structure

Async kickoff response

Polled run result response

Sync response

Declared output schema

Code Examples

Async + polling

RUN=$(curl -s -X POST "https://api.browsable.app/v1/vinted/member/items" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"member_url":"https://example.com/item-1","order":"relevance","pages":1,"per_page":20}')
RUN_ID=$(echo "$RUN" | jq -r '.run_id')
while true; do
RESULT=$(curl -s -H "Authorization: Bearer YOUR_API_KEY" "https://api.browsable.app/v1/runs/$RUN_ID")
STATUS=$(echo "$RESULT" | jq -r '.run_status')
if [ "$STATUS" = "succeeded" ] || [ "$STATUS" = "failed" ]; then
echo "$RESULT"
break
fi
sleep 2
done

Sync

curl -X POST "https://api.browsable.app/v1/vinted/member/items" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"member_url":"https://example.com/item-1","order":"relevance","pages":1,"per_page":20,"_run":{"async":false}}'